RK-A - Support #1570

Reduce the time taken by get_candidates_for_variant function after modifications for matching a
hyphenated word with a header without hyphen

08/30/2021 04:58 AM - Anonymous

Status: Closed Start date: 08/30/2021
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: P1 Spent time: 0.00 hour
Description

For the Library Reference book, it is observed that after making the above changes of Issue #1544, the time taken by the
get_candidates_for_variant has increased significantly. We need to make sure that the overall increase in time is not so significant.
For this, you would have to, first of all, identify the cause of the time increase. You can make use of the "time" library to identify taken
by different components of code in the new addition.

| suspect two reasons:
1. regex check
2. calling generate_candidates. Can we call candidate_variant_distance_calculation directly inside get_candidates_for_variant?

History

#1 - 09/13/2021 07:11 AM - Anonymous
- % Done changed from 0 to 100

#2 - 10/13/2021 12:29 PM - Anonymous

- Status changed from New to Resolved

#3 - 10/20/2021 08:38 AM - Anonymous

- Status changed from Resolved to Closed
